Subject: Re: bug#61568: Problems using reftex from Org mode's latex blocks

From: Tassilo Horn <[email-masked]>
Date: Fri, 17 Feb 2023 12:50:53 +0100

[email-masked] writes:

Hi Alain,

> I don't know how to use your trick
>
>   C-x C-w /tmp/tmp.tex RET
>
> If I do that and modify /tmp/tmp.tex, then I no longer have access to
> that temporary Org buffer (at least I don't know how; that buffer
> disappears from the *Buffer List* one gets with 'M-x buffer-menu').

It's still the very same buffer.  It just got a new name.

> The normal usage is to exit from that temporary buffer after having
> modified it, falling back to the initial Org file with the modified
> latex block.

Does that exiting not work anymore after writing the buffer to a file?

Ah, indeed, after writing to a file, it seems the org-binding C-c ' is
gone (and also the header line explaining the bindings).  However, I was
able to take over my edits by manually doing M-x org-edit-src-exit RET.
Not very comfortable but should do the trick for the time being.

Bye,
Tassilo